Đến nội dung


Hình ảnh
- - - - -

Bảng toạ độ các đỉnh thửa đất


  • Please log in to reply
100 replies to this topic

#81 tdvn

tdvn

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: 53 (tàm tạm)

Đã gửi 15 January 2010 - 02:03 AM

Bác SSQ ơi cho em hỏi 1 chút, giữa lisp vc đầu và lisp vc sau có khác nhau 1 điểm là tọa độ cột X và cột Y được đổi chổ cho nhau. Vậy khi muốn thay đổi như thế thì em phải thay dòng lệnh nào, vì em không biết lisp nên có dow 2 lisp Vc về để so sánh thì 2 lisp có cấu trúc khác nhau? Em có 1 lisp cũng được chỉnh sữa rồi cũng tương tự như lisp VC của Bác nhưng cái lisp của em thì nó vẫn bị ngược cột tọa độ X và Y. Mong nhận đuợc sự hồi âm sớm nhất của Bác!
Đây là lisp của em. Và tiện thể Bác có thể giải thích dùm em vì sao mà font chử Bảng Tọa Độ Góc Ranh nó bị lỗi không ạ, em dùng Font VIN.

Mình Thấy font lisp trên chạy bình thường. Tuy nhiên, số hiệu điểm được đánh nhiều hơn gấp đôi số cần có. Ví dụ có 4 đỉnh thì nó đánh từ 1 đến 8 nên từ điểm 5 lại trùng với 1. Mình nghỉ, kg biết bạn xuandao có chỉnh gì kg, nếu đây là lisp trích từ nguồn cadviet, tác giả nên chịu khó chỉnh lại trường hợp số hiệu điểm trên. Còn việc đổi x thành y hay ngược lại kg có gì khó
  • 0

#82 hoamaivang

hoamaivang

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 July 2011 - 08:33 PM

Tôi có tìm thấy trên cadviệt file lsp nói về toạ độ trong cad.
Tôi đã download về dùng, nhưng khi dùng, tôi có thêm một số ý thay doi, mong các bạn giúp đỡ:

- Bỏ điều kiện chạy độ dài các cạnh.
- Bảng toạ độ thể hiện như file đính kèm - sau_khi_chay_lsp.dwg, (block, thể hiện tiếng Việt).

http://www.cadviet.c...lieu_bn_dau.dwg
http://www.cadviet.c...hi_chay_lsp.dwg

Mong som nhan duoc su giup do tu cac ban
  • 0

#83 hoamaivang

hoamaivang

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 July 2011 - 08:30 PM

Tôi có tìm thấy trên cadviệt file lsp nói về toạ độ trong cad.
Tôi đã download về dùng, nhưng khi dùng, tôi có thêm một số ý thay doi, mong các bạn giúp đỡ:

- Bỏ điều kiện chạy độ dài các cạnh.
- Bảng toạ độ thể hiện như file đính kèm - sau_khi_chay_lsp.dwg, (block, thể hiện tiếng Việt).

http://www.cadviet.c...lieu_bn_dau.dwg
http://www.cadviet.c...hi_chay_lsp.dwg

Mong som nhan duoc su giup do tu cac ban

:( :( :lol: :lol:
Ui, chưa ai giúp mình vậy?
  • 0

#84 hoamaivang

hoamaivang

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2011 - 08:10 AM

:( :( :lol: :lol:
Ui, chưa ai giúp mình vậy?

:( ui, dạo này anh chị em đi đâu hết rùi vậy nhỉ?
  • 0

#85 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 02 August 2011 - 08:52 PM

:( ui, dạo này anh chị em đi đâu hết rùi vậy nhỉ?

Hề hề hề,
Tranh thủ lúc mọi người đi vắng, mình sửa cái lisp của bác SSG theo ý bạn. Bạn dùng thử coi và nếu thấy Ok thì đừng quên nhấn thank cám ơn bác ấy nghen.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;Chuong trinh danh so va lap bang toa do ho so thua dat dia chinh
;;;Bang toa do tao thanh block, duoc dat ten theo so thu tu 1, 2, 3...
;;;Chap nhan cac doi tuong la Region, Polyline, Line va Arc khep kin
;;;Free utility - www.cadviet.com - September 2008
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;PUBLIC FUNCTIONS
;;;-------------------------------------------------------------------------------
(Defun DTR(x) (/ (* x pi) 180) ) ;;;change degree to radian, return REAL
;;;-------------------------------------------------------------------------------
(defun lineP (p0 a r / p1) ;;;Line polar: point, degree angle, radius
(setq p1 (polar p0 (dtr a) r))
(command "line" p0 p1 "")
)
;;;-------------------------------------------------------------------------------
(defun linePX (p0 x) (lineP p0 0 x)) ;;;Horizontal line: length x, from p0
;;;-------------------------------------------------------------------------------
(defun linePY (p0 y) (lineP p0 90 y)) ;;;Vertical line: length y, from p0
;;;-------------------------------------------------------------------------------
(defun getVert (e / i L) ;;;Return list of all vertex from pline e
(setq i 0 L nil)
(vl-load-com)
(repeat (fix (+ (vlax-curve-getEndParam e) 1))
(setq L (append L (list (vlax-curve-getPointAtParam e i))))
(setq i (1+ i))
)
L
)
;;;-------------------------------------------------------------------------------
(defun wtxtMC (txt p h) ;;;Write text Middle Center, specify text, point, height
(entmake (list (cons 0 "TEXT") (cons 7 (getvar "textstyle"))
(cons 1 txt) (cons 10 p) (cons 11 p) (cons 40 h) (cons 72 1) (cons 73 2)))
)
;;;-------------------------------------------------------------------------------
(defun Collect(e / e2 SS) ;;;Selection set from e to entlast
(setq SS (ssadd))
(ssadd e SS)
(while (setq e2 (entnext e)) (ssadd e2 SS) (setq e e2))
SS
)
;;;-------------------------------------------------------------------------------
(defun Collect1(e / ss)
;;;Selection set after e to entlast. If e nil, select all from fist entity of drawing.
(if (= e nil) (setq ss (collect (entnext)))
(progn (setq ss (collect e)) (ssdel e ss))
)
)
;;;-------------------------------------------------------------------------------

;;;PRIVATE FUNCTIONS
;;;-------------------------------------------------------------------------------
(defun txt1(txtL / p1 p2 p3 p4 pL i) ;;;Write texts in 1 row
(setq
p1 (list (+ (car p0) (* 3 h)) (+ (cadr p0) (* 1.5 h)))
p2 (polar p1 0 (* 9 h))
p3 (polar p2 0 (* 12 h))
p4 (polar p3 0 (* 11 h))
pL (list p1 p2 p3 p4)
i 0
)
(repeat 4
(wtxtMC (nth i txtL) (nth i pL) h)
(setq i (1+ i))
)
)
;;;-------------------------------------------------------------------------------
(defun txt2(txtL / p1 p2 p3 p4 pL i) ;;;Write texts in 1 row
(setq
p1 (list (+ (car p0) (* 3 h)) (+ (cadr p0) (* 1.5 h)))
p2 (polar p1 0 (* 9 h))
p3 (polar p2 0 (* 12 h))
p4 (polar p3 0 (* 11 h))
p4 (polar p4 (* 0.5 pi) (* 1.5 h))
pL (list p1 p2 p3 p4)
i 0
)
(repeat 4
(wtxtMC (nth i txtL) (nth i pL) h)
(setq i (1+ i))
)
)
;;;-------------------------------------------------------------------------------
;;;MAIN PROGRAM
;;;-------------------------------------------------------------------------------
(defun C:VC( / h p et p0 p00 p01 p02 pt pvL n j pv num txtL ss bn)
;;;Vertex Co-ordinate
(command "undo" "be")
;;;GET TEXT HEIGHT
(if (not h0) (setq h0 1))
(setq h (getreal (strcat "\nChon chieu cao text <" (rtos h0) ">:")))
(if (not h) (setq h h0) (setq h0 h))

;;;PICK & BASE POINT
(setq p (getpoint "\nPick 1 diem giua mien kin:"))
(command "boundary" p "")
(setq et (entlast))
(redraw et 3)
(setq
p00 (getpoint "\nDiem chuan bang toa do (phia tren ben trai):")
p0 (list (car p00) (- (cadr p00) (* 3 h)))
p01 (polar p00 (* 0.5 pi) (* h 3))
pvL (reverse (getvert et))
n (length pvL)
p02 (polar p01 (* 1.5 pi) (* (+ n 2) h 3))
oldos (getvar "osmode")
)
(setvar "osmode" 0)

;;;HEADER
(linepx p0 (* 40 h))
(command "copy" "L" "" "m" p0 p01 p02 "")
(linepx (list (+ (car p00) (* 6 h)) (cadr p00)) (* 24 h))
(linepy p01 (* (+ n 2) -3 h))
(command "copy" "L" "" "m" p0
(list(+ (car p0) (* 6 h)) (cadr p0))
;;;;(list(+ (car p0) (* 16 h)) (cadr p0))
(list(+ (car p0) (* 30 h)) (cadr p0))
(list(+ (car p0) (* 40 h)) (cadr p0))
""
)
(linepy (list (+ (car p0) (* 18 h)) (+ (cadr p0) (* 3 h))) (* (1+ n) -3 h))
(wtxtMC "BANG LIET KE TOA DO GOC RANH" (list (+ (car p00) (* 20 h)) (+ (cadr p00) (* 6 h))) (* 1.5 h))
(wtxtMC "So hieu" (list (+ (car p00) (* 3 h)) (+ (cadr p00) h)) h)
(wtxtMC "diem" (list (+ (car p00) (* 3 h)) (- (cadr p00) h)) h)
(wtxtMC "S (m)" (list (+ (car p00) (* 35 h)) (cadr p00)) h)
(wtxtMC "TOA DO" (list (+ (car p00) (* 18 h)) (+ (cadr p00) (* 1.5 h))) h)
(txt1 (list " " "X (m)" "Y (m)" " "))
(setq p0 (polar p0 (* 1.5 pi) (* 3 h)))

;;;MAKE RECORDS
(setq j 0 pt nil)
(repeat n
(setq
pv (nth j pvL)
num (itoa (1+ j))
)
(if pt (setq S (rtos (distance pt pv))) (setq S ""))
(setq txtL (list num (rtos (cadr pv)) (rtos (car pv)) S))
(txt2 txtL)
(setq p0 (polar p0 (* 1.5 pi) (* 3 h)))
(setq pt pv)
(setq j (1+ j))
(if (= j (- n 1)) (setq j 0))
)

;;;MAKE BLOCK
(setq ss (collect1 et))
(command "erase" et "")
(setq bn "1")
(while (tblsearch "block" bn) (setq bn (itoa (1+ (atoi bn)))))
(command "block" bn p00 ss "")
(command "insert" bn p00 "" "" "")

;;;WRITE POINT NAME
(setq j 0)
(repeat (1- n)
(setq
pv (nth j pvL)
num (itoa (1+ j))
)
(wtxtMC num (polar pv 0 h) h)
(setq j (1+ j))
)
;;;FINISH
(setvar "osmode" oldos)
(command "undo" "e")
(princ)
)
;;;-------------------------------------------------------------------------------

Chúc bạn vui và nhớ đến CADVIET.
  • 2
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#86 hoamaivang

hoamaivang

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 August 2011 - 09:00 AM

Cảm ơn anh Bình đã bớt chút thời gian giúp em,
A BÌnh vui lòng kiểm tra lại dùm em chút, vì khi chay líp đó, vẫn không thấy thể hiện tiếng việt?
(mình có thể mặc định trong lisp tiếng việt kiểu Time new Roman được không anh?)
Em gửi kết quả, em chạy từ líp của anh nhé.
Mong sơm nhận được phản hồi của anh.
http://www.cadviet.c...es/3/toado3.png

Bài viết đã được chỉnh sửa nội dung bởi hoamaivang: 03 August 2011 - 09:26 AM

  • 0

#87 hoamaivang

hoamaivang

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 August 2011 - 09:06 AM

Cảm ơn anh Bình đã bớt chút thời gian giúp em,
A BÌnh vui lòng kiểm tra lại dùm em chút, vì khi chay líp đó, vẫn không thấy thể hiện tiếng việt?
(mình có thể mặc định trong lisp tiếng việt kiểu Time new Roman được không anh?)
Em gửi kết quả, em chạy từ líp của anh nhé.
Mong sơm nhận được phản hồi của anh.
http://www.cadviet.c...es/3/toado3.png


  • 0

#88 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 November 2011 - 05:45 PM

Cảm ơn anh Bình đã bớt chút thời gian giúp em,
A BÌnh vui lòng kiểm tra lại dùm em chút, vì khi chay líp đó, vẫn không thấy thể hiện tiếng việt?
(mình có thể mặc định trong lisp tiếng việt kiểu Time new Roman được không anh?)
Em gửi kết quả, em chạy từ líp của anh nhé.
Mong sơm nhận được phản hồi của anh.
http://www.cadviet.c...es/3/toado3.png

Hề hề hề,
Trước hết xin lỗi bạn vì lâu không trả lời. Thực ra yêu cầu của bạn với mình cũng khá là khó do không rành lắm về font tiếng Việt.
Sau khi tìm hiểu thì thấy hình như cái yêu cầu của bạn không thực hiện được do font Time New Romans này không hỗ trợ tiếng Việt khi dùng unikey thì phải.
Mày mò một hồi thì mình thấy có thể sử dụng font khác để hiển thị tiếng Việt trong Cad. Vì vậy nếu bạn chấp nhận thì mình sẽ thử xem sao.
Chúc bạn vui....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#89 vunguyenchan

vunguyenchan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 March 2012 - 07:27 AM

Quá hay.nhưng có bạn nào sửa lại dùm mình chút nha.chạy tọa độ và ghi chiều dài cạnh thì đwowjc rồi.mà mình chỉ muốn ghi 3 số ở phần sau dấu chấm ở phần tọa độ.và hai số ở phần ghi khoảng cách.nếu co thể ghi thêm dòng BẢNG GHI TỌA ĐỘ VN 2000 càng tốt.mình có mấy lisp nhwng toàn chạy ngwowjc chiều kim đồng hồ.Xin nhờ swj giúp đỡ của các bạn.mail mình là nmk.081985@yahoo.com.vn http://www.cadviet.c.../105707_2_1.dwg
  • 0

#90 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 March 2012 - 01:33 PM

Quá hay.nhưng có bạn nào sửa lại dùm mình chút nha.chạy tọa độ và ghi chiều dài cạnh thì đwowjc rồi.mà mình chỉ muốn ghi 3 số ở phần sau dấu chấm ở phần tọa độ.và hai số ở phần ghi khoảng cách.nếu co thể ghi thêm dòng BẢNG GHI TỌA ĐỘ VN 2000 càng tốt.mình có mấy lisp nhwng toàn chạy ngwowjc chiều kim đồng hồ.Xin nhờ swj giúp đỡ của các bạn.mail mình là nmk.081985@yahoo.com.vn http://www.cadviet.c.../105707_2_1.dwg


Hề hề hề,
Nhắc bạn lần sau không được post 3 bài liên tiếp có nội dung giống nhau như vậy. Nếu bạn còn tiếp tục như vậy sẽ bị xóa tất cả các bài post đó.
về uê cầu của bạn có thể làm như sau:
1/- Thay dòng chữ bạn muốn vào đoạn code:
(wtxtMC "BANG LIET KE TOA DO GOC RANH"
2/- Thay đoạn code: (setq S (rtos (distance pt pv))Thành (setq S (rtos (distance pt pv) 2 2)
3/- Thay đoạn code:(list num (rtos (cadr pv)) (rtos (car pv))Thành(list num (rtos (cadr pv) 2 3) (rtos (car pv) 2 3)
Chúc bạn vui.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#91 vunguyenchan

vunguyenchan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 March 2012 - 02:45 PM

thanks.phamthanhbinh.
  • 0

#92 vunguyenchan

vunguyenchan

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 March 2012 - 03:14 PM

MÌNH LÀM NHƯ BẠN RỒI.PHẦN DƯỚI THÌ OK.NHUNG MÌNH SỬA LẠI THÀNH BẢNG LIỆT KÊ TOẠ ĐỘ VN2000 THÌ ĐOẠN CODE KHÔNG HIỂU CÁCH BỎ DẤU.TOÀN BÁO LỖI.XIN KHÔNG ĐÁNH ĐƯỢC CHỮ CÓ DẤU. BẠN HỔ TRỢ LẠI DÙM MÌNH.THANHKS.
  • 0

#93 cs2

cs2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 April 2014 - 02:38 PM

Chương trình hôm nọ vẽ bảng gọi là "cho vui" thôi, chỉ có thể dùng với các bảng ngắn ngắn, số lượng dữ liệu ít. Trường hợp của bạn số lượng dữ liệu khá nhiều. Cách thức bài bản hơn là xuất tọa độ các điểm cũng như tên điểm sang Excel, sau đó tùy ý xử lý và insert lại vào Cad. Cách này có ưu điểm nổi bật là bạn có thể dùng các công cụ Excel để xử lý dữ liệu cho nhiều mục đích khác nhau.
Tên lệnh là EP (Export Points). Sau khi export, chương trình sẽ tự khởi động Excel và open file.

Các điểm lưu ý:
- Text ghi thứ tự điểm phải có tọa độ x, y (của điểm insert) trùng với x, y của point (có thể khác z). Nếu không, chương trình tìm không thấy text sẽ mặc định gán số thứ tự là 0! Bản vẽ bạn gởi có vài điểm như vậy.
- Lisp không có khả năng can thiệp vào cầu trúc file của *.xls. Mặc dù lưu ở dạng *.xls nhưng bản chất của nó vẫn là text file, các field được phân biệt bằng 1 dấu tab. Tuy vậy, trình Excel vẫn hiểu và open được loại file này.
- Khi save, Excel sẽ hỏi "Do you want keep the workbook in this format?”. Nếu bạn muốn file được chuyển thành “*.xls thật sự” thì phải trả lời “No”, sau đó save đè lên file có hiện có là xong.
 

;;;**********************************************************;;;This program export coordinate of points and ordinal numbers to Excel;;;Each ordinal number must be the same x, y as correlative point_;;;otherwise it is assigned "0" value.;;;The file save as *.xls but data structure still are text file.;;;If you want convert them to actual *.xls file, when save Excel ask:_;;;"Do you want keep the workbook in this format?", you must answer "No".;;;Written by Ssg - December 2007 - www.cadviet.com;;;**********************************************************;;;--------------------------------------------------------------------(defun ss2Lp(ssp / Lp i e p) ;;;Convert ss of points to list of 3Dpoints(setq i 0 Lp nil)(repeat (sslength ssp)     (setq        e (ssname ssp i)        p (cdr (assoc 10 (entget e)))        Lp (append Lp (list p))        i (1+ i)    ))Lp);;;-------------------------------------------------------------------------------(defun C:EP(/ ssp Lp Ld fn f p sst txt rec L1) ;;;Export Points(setq    ssp (ssget '((0 . "POINT")))    Lp (ss2Lp ssp)    Ld nil    fn (getfiled "title" "" "xls" 1)    f (open fn "w"))(princ "TT\tX\tY\tZ" f)(foreach p Lp    (if (setq sst (ssget "x" (list (cons 0 "TEXT") (cons -4 "=,=,*") (cons 10 p))))        (setq txt (cdr (assoc 1 (entget (ssname sst 0)))))        (setq txt "0")    )    (setq        rec (cons (atoi txt) p)        Ld (append Ld (list rec))    ))(setq Ld (vl-sort Ld '(lambda (x y) (< (car x) (car y)))))(foreach L1 Ld    (princ (strcat "\n" (rtos (car L1)) "\t" (rtos (cadr L1)) "\t"                        (rtos (caddr L1)) "\t" (rtos (cadddr L1))) f) )(close f)(alert "Finish export! Program will start Excel and open data file...")(command "start" (strcat "excel " fn))  );;;-------------------------------------------------------------------------------

bác ssg ơi. nhờ bác hướng dẫn kỹ hơn chút xíu. em cài xong rồi, sử dụng lệnh ep rồi, rồi làm sao nữa bác? mong bác chỉ dùm cho.


  • 0

#94 love cad

love cad

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 October 2014 - 11:18 PM

các bác ơi! giúp với.

em st được 1 lisp xuất tọa độ rất ok nhưng nó chạy ngược kim đồng hồ! bác nào sửa dùm em tí cho nó chạy cheo chiều kim đồng hồ nhé.

em cám ơn thật nhiều.http://www.cadviet.c.../66250_hsle.lsp


  • 0

#95 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 October 2014 - 11:37 AM

các bác ơi! giúp với.

em st được 1 lisp xuất tọa độ rất ok nhưng nó chạy ngược kim đồng hồ! bác nào sửa dùm em tí cho nó chạy cheo chiều kim đồng hồ nhé.

em cám ơn thật nhiều.http://www.cadviet.c.../66250_hsle.lsp

 

Hề hề hề,

Không down được lisp. Bạn nên post nó vào trang upload khác và gửi đường link lên đây. Trang upload của diễn đàn dạo này bì lỗi nhiều lắm.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#96 love cad

love cad

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 October 2014 - 06:21 PM

Đây bác ạ.

Bác giúp dùm em nhé.

Cảm ơn nhìu.

http://www.mediafire...9chv3c/hsle.LSP


  • 0

#97 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 09 October 2014 - 08:13 PM

- ái chà, cái lsp này y chang lsp ở cơ quan nhoc ko khác 1 tẹo, khác mỗi cái tên lệnh ^^, còn nguồn gốc ai viết thì nhoc ko pit, chỉ pit từ khi đi làm đã có sẵn rùi.

- bạn có thể ghé thăm topic http://www.cadviet.c...-toa-do-vn2000/

- cũng có bạn yêu cầu, nhoc cũng lấy cái lsp này đăng lên nhưng bạn đó mún sữa đi xíu nữa, nhoc cũng mới sữa xong có phần chọn lựa thuận hay ngược chiều đồng hồ, bạn thử xem sao ^^

P/s: nhoc đang PR sản phẩm mới edit cần nhận xét, các anh đừng ném gạch nhoc hen :P


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#98 love cad

love cad

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 October 2014 - 11:24 PM

Mình đã thử rồi, ko hiểu sao mình hay bị lỗi "ban chua chon dung dinh thua dat\nban chay lai lenh tu dau hen thong cam ^^!!".

Lỗi này trong 1 thửa đất khi chọn đỉnh thửa này bị lỗi đỉnh kia không lỗi, có trường hợp 3 đỉnh bị lỗi còn 1 đỉnh chọn được. có trường hợp các đỉnh phía Bắc bị lỗi còn phía Nam chọn được!

ko biết mình làm sai thủ thuật hay lsp còn chưa hoàn thiện bạn xem giúp mình tí nữa nhé.

Mình thì cần pick các đỉnh thửa phía Bắc trước.

thanks.


  • 0

#99 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 10 October 2014 - 07:23 AM

- hi thank bạn đã test hộ nhoc, nói thật với bản đầu tiên nhoc sữa thì nhoc cũng hay gặp lỗi như bạn, nên nhoc cố chỉnh lại, sau đó có test 5 6 lần với nhiều trường hợp thấy ko lỗi nữa nên nhoc mới post lên, ko ngờ vẫn còn lỗi ^^, nhoc cũng nghi nghi là nó còn thiếu gì đó, cũng mong mấy a đi ngang xem nhộ nhoc nó sót chỗ nào, cái bảng báo lỗi đó là nhoc viết để thông báo người dùng trường hợp bạn pick 1 điểm ko thuộc khu đất, ai ngờ pick trúng mà vẫn bị báo ^^.

- để nhoc xem kỹ lại  điều kiện kiểm tra dữ liệu đầu vào có lỗi gì ko.

- có gì bạn qua topic bên kia theo dõi hộ nhoc hen ^^.

P/s: anh PTB có ghé ngang rãnh xem bắt lỗi hộ nhoc với ^^, cái lsp này hơi dài nên có khi nhoc chưa kiểm soát đc hết  :P


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#100 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 10 October 2014 - 07:40 AM

Nhoclangbat đưa code lên đây đi. Hay là code ở....trang kia?


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn